## st-scroll-view st-scroll-view — a container for scrollable children |

## Functions

StWidget * | st_scroll_view_new ()
ClutterActor * | st_scroll_view_get_hscroll_bar ()
ClutterActor * | st_scroll_view_get_vscroll_bar ()
gfloat | st_scroll_view_get_column_size ()
void | st_scroll_view_set_column_size ()
gfloat | st_scroll_view_get_row_size ()
void | st_scroll_view_set_row_size ()
void | st_scroll_view_set_mouse_scrolling ()
gboolean | st_scroll_view_get_mouse_scrolling ()
void | st_scroll_view_set_overlay_scrollbars ()
gboolean | st_scroll_view_get_overlay_scrollbars ()
void | st_scroll_view_set_policy ()
void | st_scroll_view_update_fade_effect ()

## Properties

gboolean | enable-mouse-scrolling | Read / Write
StScrollBar * | hscroll | Read
GtkPolicyType | hscrollbar-policy | Read / Write
gboolean | hscrollbar-visible | Read
gboolean | overlay-scrollbars | Read / Write
StScrollBar * | vscroll | Read
GtkPolicyType | vscrollbar-policy | Read / Write
gboolean | vscrollbar-visible | Read

## Types and Values

#define | ST_TYPE_SCROLL_VIEW
struct | StScrollView
| StScrollViewPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── StBin
                        ╰── StScrollView

## Implemented Interfaces

StScrollView implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

StScrollView is a single child container for actors that implement StScrollable. It provides scrollbars around the edge of the child to allow the user to move around the scrollable area.

## Functions

### st_scroll_view_new ()

    StWidget *
    st_scroll_view_new (void);

### st_scroll_view_get_hscroll_bar ()

    ClutterActor *
    st_scroll_view_get_hscroll_bar (StScrollView *scroll);

Gets the horizontal scrollbar of the scrollbiew

#### Parameters

scroll | a StScrollView |

#### Returns

the horizontal StScrollBar.

[transfer none]

### st_scroll_view_get_vscroll_bar ()

    ClutterActor *
    st_scroll_view_get_vscroll_bar (StScrollView *scroll);

Gets the vertical scrollbar of the scrollbiew

#### Parameters

scroll | a StScrollView |

#### Returns

the vertical StScrollBar.

[transfer none]

### st_scroll_view_get_column_size ()

    gfloat
    st_scroll_view_get_column_size (StScrollView *scroll);

### st_scroll_view_set_column_size ()

    void
    st_scroll_view_set_column_size (StScrollView *scroll,
                                    gfloat column_size);

### st_scroll_view_get_row_size ()

    gfloat
    st_scroll_view_get_row_size (StScrollView *scroll);

### st_scroll_view_set_row_size ()

    void
    st_scroll_view_set_row_size (StScrollView *scroll,
                                 gfloat row_size);

### st_scroll_view_set_mouse_scrolling ()

    void
    st_scroll_view_set_mouse_scrolling (StScrollView *scroll,
                                        gboolean enabled);

### st_scroll_view_get_mouse_scrolling ()

    gboolean
    st_scroll_view_get_mouse_scrolling (StScrollView *scroll);

### st_scroll_view_set_overlay_scrollbars ()

    void
    st_scroll_view_set_overlay_scrollbars (StScrollView *scroll,
                                           gboolean enabled);

Sets whether scrollbars are painted on top of the content.

#### Parameters

scroll | A StScrollView |
enabled | Whether to enable overlay scrollbars |

### st_scroll_view_get_overlay_scrollbars ()

    gboolean
    st_scroll_view_get_overlay_scrollbars (StScrollView *scroll);

Gets the value set by `st_scroll_view_set_overlay_scrollbars()`.

#### Parameters

scroll | A StScrollView |

### st_scroll_view_set_policy ()

    void
    st_scroll_view_set_policy (StScrollView *scroll,
                               GtkPolicyType hscroll,
                               GtkPolicyType vscroll);

Set the scroll policy.

#### Parameters

scroll | A StScrollView |
hscroll | Whether to enable horizontal scrolling |
vscroll | Whether to enable vertical scrolling |

### st_scroll_view_update_fade_effect ()

    void
    st_scroll_view_update_fade_effect (StScrollView *scroll,
                                       float vfade_offset,
                                       float hfade_offset);

Sets the height of the fade area area in pixels. A value of 0 disables the effect.

#### Parameters

scroll | a StScrollView |
vfade_offset | The length of the veritcal fade effect, in pixels. |
hfade_offset | The length of the horizontal fade effect, in pixels. |

## Types and Values

### ST_TYPE_SCROLL_VIEW

    #define ST_TYPE_SCROLL_VIEW            (st_scroll_view_get_type())

### struct StScrollView

    struct StScrollView;

The contents of this structure are private and should only be accessed through the public API.

### StScrollViewPrivate

    typedef struct _StScrollViewPrivate StScrollViewPrivate;

## Property Details

### The `“enable-mouse-scrolling”` property

      “enable-mouse-scrolling”   gboolean

Enable automatic mouse wheel scrolling.

Flags: Read / Write

Default value: TRUE

### The `“hscroll”` property

      “hscroll”                  StScrollBar *

Horizontal scroll indicator.

Flags: Read

### The `“hscrollbar-policy”` property

      “hscrollbar-policy”        GtkPolicyType

When the horizontal scrollbar is displayed.

Flags: Read / Write

Default value: GTK_POLICY_AUTOMATIC

### The `“hscrollbar-visible”` property

      “hscrollbar-visible”       gboolean

Whether the horizontal scrollbar is visible.

Flags: Read

Default value: TRUE

### The `“overlay-scrollbars”` property

      “overlay-scrollbars”       gboolean

Overlay scrollbars over the content.

Flags: Read / Write

Default value: FALSE

### The `“vscroll”` property

      “vscroll”                  StScrollBar *

Vertical scroll indicator.

Flags: Read

### The `“vscrollbar-policy”` property

      “vscrollbar-policy”        GtkPolicyType

When the vertical scrollbar is displayed.

Flags: Read / Write

Default value: GTK_POLICY_AUTOMATIC

### The `“vscrollbar-visible”` property

      “vscrollbar-visible”       gboolean

Whether the vertical scrollbar is visible.

Flags: Read

Default value: TRUE